Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ICaret

All Known Implementing Classes:
  FEditorPane, FPasswordField, FTextArea, FTextField, FTextPane

public interface ICaret

Interface fuer CaretEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer CaretEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addCaretListener(CaretListener listener)` Fuegt dem Control den uebergebenen Listener als CaretListener hinzu.
`String` | `getActionClassForCaret()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein CaretEvent ausgeloest wurde.
`void` | `removeCaretListener(CaretListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForCaret(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein CaretEvent ausgeloest wurde.

Method Detail

### getActionClassForCaret

    public String getActionClassForCaret()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein CaretEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer CaretEvent.

### setActionClassForCaret

    public void setActionClassForCaret(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein CaretEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer CaretEvent.

### addCaretListener

    public void addCaretListener(CaretListener listener)

  Fuegt dem Control den uebergebenen Listener als CaretListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende CaretListener.

### removeCaretListener

    public void removeCaretListener(CaretListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD